/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.DetDiagramaAutobus;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Administrador
 */
public class RenderDetDiagramaAutobus implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        DetDiagramaAutobus detDiagramaAutobus = (DetDiagramaAutobus) o;

        Listcell lc = new Listcell(detDiagramaAutobus.getAsiento());
        lc.setParent(lstm);

        lstm.setAttribute("data", detDiagramaAutobus);
    }
}
